@charset "utf-8";

:root{ --header-height: 100rem; }
@media(max-width: 1279px){
	:root{ --header-height: 80rem; }
}

/* inner */
:where(.inr, .wrapper){ position: relative; margin: 0 auto; max-width: calc(var(--inr) * 1rem); width: calc(var(--inr-width) * 100%); }
.inr-wide{ max-width: calc(var(--inr-wide) * 1rem); }
.inr-narrow{ max-width: calc(var(--inr-narrow) * 1rem); }

/* header */
header{ position: absolute; inset: 0 0 auto; height: var(--header-height); color: #fff; z-index: 10;
	.inr{ display: grid; align-items: center; grid-template-columns: 1fr auto; height: 100%; padding-top: 1rem; }
	@media(min-width:1280px){
		.inr{ grid-template-columns: 1fr auto 1fr; }
	}
}
.logo{ justify-self: start; position: relative; display: inline-block; }
.logo__img{ display: block; width: auto; height: 42rem; }

/* gnb */
header nav{ position: relative; display: flex; align-items: center; height: 100%; }
header .gnb{ position: relative; display: flex; height: 100%; }
header .gnb > li{ position: relative; display: inline-block; height: 100%; }
header .gnb [data-gnb="1"]{position: relative; display: flex; align-items: center; height: 100%; padding: 0 55rem; font-size: 19rem; font-weight: 500}
header .gnb .sub_menu{ visibility: hidden; position: absolute; top: 75%; left: 50%; transform: translateX(-50%); min-width: 145px; padding: 10px 0; width: max-content; background: #fff; opacity: 0; }
header .gnb li:hover .sub_menu{ visibility: visible; top: 80%; opacity: 1; box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.10)}
header .gnb [data-gnb="2"]{ display: block; padding: 12px 10px; color: #888; font-size: 15px; text-align: center; }
header .gnb [data-gnb="2"]:hover{ color: #111; }
header .gnb .sub_menu li:first-child [data-gnb="2"]{ border-top: 0; }
@media(prefers-reduced-motion:no-preference){
	.gnb .sub_menu{ transition: .4s; }
}
@media(max-width: 1279px){
	header nav{ display: none; }
}

/* mobile-menu */
.menu-btn{ justify-self: end; position: relative; width: 43rem; height: 43rem; background: 0; color: inherit; z-index: 1; }
.menu-btn .bar{ display: block; margin-left: auto; width: 100%; height: 1rem; background: currentcolor; }
.menu-btn .bar + .bar{ margin-top: 12rem; }
@media(prefers-reduced-motion:no-preference){
	.btn-menu .bar{ transition: .4s; }
}

/* 모바일 메뉴 */
.mGnb {overflow: hidden auto; display: flex; align-items: center; justify-content: center; position: fixed; top: 0; right: 0; width: 100%; height: 100%; background: var(--white); z-index: 3; }
.mGnb .close-btn{ position: absolute;  display: block; top: 25rem; right: 25rem; width: 40rem; height: 40rem; background: 0; font-size: 0; }
body:not(.mGnb-open) .close-btn{ margin-right: -100vw; }
body:not(.mGnb-open) .mGnb{ transform: translateY(-100%); visibility: hidden; }
.mGnb_wrap {width: 100%; display: flex; align-items: center; box-sizing: border-box; color: var(--black); padding: 0 200rem; box-sizing: border-box;}
.mGnb__info {width: 60%;}
.mGnb__info .mGnb__logo {width: 360rem;}
.mGnb__info dl { margin-top: 60rem;}
.mGnb__info dd {font-size: var(--fs18); }
.mGnb__info dd b {font-weight: 700; display: inline-block; width: 90rem;}
.mGnb__info dd + dd {margin-top: 15rem;}
.mGnb__ul > li + li {margin-top: 30rem;}
.mGnb [data-gnb="1"]{ position: relative; display: block; width: 100%;  text-align: left; font-size:var(--fs50); color: var(--black); font-weight: 700; }
.mGnb [data-gnb="1"]:has(+[aria-expanded]){ display: none; }
.mGnb [data-gnb="2"]{ position: relative; display: block; padding: 10rem 0; font-size: 20rem; font-weight: 600; color: #aaa;}
.mGnb [data-gnb="2"]:hover {color: var(--primary);}
.mGnb .sub_menu {margin-top: 15rem;}
.mGnb .sub_menu:not(.isVisible){ display: none; }
.cover{ position: fixed; inset: 0; width: 100%; height: 100%; background: rgba(0, 0, 0, .4); visibility: hidden; opacity: 0; z-index: 2; }
.mGnb-open .cover{ visibility: visible; opacity: 1; }
.mGnb .close-btn::before,
.mGnb .close-btn::after{ content: ''; position: absolute; top: 50%; left: 0; display: block;  width: 100%; height: 1px; background: var(--black); transform: translateY(-50%) rotate(45deg); }
.mGnb .close-btn::after{ transform: translateY(-50%) rotate(-45deg); }

@media(prefers-reduced-motion: no-preference){
	.mGnb{ transition: .5s ease-out, visibility 0s .5s; }
	.mGnb-open .mGnb{ transition-delay: 0s; }
	.mGnb .close-btn{ transition: .8s; }
	.mGnb [data-gnb="1"]{ transition: .3s; }
	.mGnb [data-gnb="1"][aria-expanded]::before{ transition: .4s; }
	.cover{ transition: .4s; }
}

@media(max-width:1279px){
	.mGnb_wrap {padding: 0 50rem;}
	.mGnb__info {width: 70%;}
}
@media(max-width:767px){
	.mGnb .close-btn {width: 25rem; height: 25rem;}
	.mGnb [data-gnb="1"] {font-weight: 700;}
	.mGnb__info {display: none;}
}

/* footer */
footer{ background: #222; color: #ccc;
	.footer-top{ padding: 20rem 0; border-bottom: 1px solid color-mix(in srgb, #fff 8%, #0000); }
	.links{ display: flex; gap: 57rem; font-size: 15rem; }
	.links > li{ position: relative; }
	.links > li + li::before{ content: ''; position: absolute; height: 11rem; border-left: 1px solid color-mix(in srgb, #fff 15%, #0000); translate: -30rem 6rem; }
	.footer-bottom{ display: flex; align-items: start; justify-content: space-between; gap: 25rem 50rem; padding: 35rem 0 51rem; }
	.footer-logo{ width: 206rem; height: 42rem; }
	.address{ display: flex; flex-wrap: wrap; gap: 12rem 45rem; max-width: 1100rem; font-weight: 200; }
	.copyright{ margin-top: 22rem; font-size: 15rem; color: #999; }
	@media(min-width:1280px){
		.footer-logo{ order: 2; translate: 0 17%; }
	}
	@media(max-width:1279px){
		.footer-bottom{ flex-direction: column; }
	}
}